console.info("[SOCIETY] addGrapeJuiceRecipes.js loaded");

ServerEvents.recipes((event) => {
  event
    .shapeless("4x vinery:red_grapejuice", [
      "vinery:red_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient("vinery:red_grape_juice_bucket", "minecraft:bucket");

  event
    .shapeless("4x vinery:red_taiga_grapejuice", [
      "vinery:red_taiga_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient(
      "vinery:red_taiga_grape_juice_bucket",
      "minecraft:bucket"
    );

  event
    .shapeless("4x vinery:red_savanna_grapejuice", [
      "vinery:red_savanna_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient(
      "vinery:red_savanna_grape_juice_bucket",
      "minecraft:bucket"
    );

  event
    .shapeless("4x vinery:red_jungle_grapejuice", [
      "vinery:red_jungle_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient(
      "vinery:red_jungle_grape_juice_bucket",
      "minecraft:bucket"
    );

  event
    .shapeless("4x vinery:white_grapejuice", [
      "vinery:white_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient("vinery:white_grape_juice_bucket", "minecraft:bucket");

  event
    .shapeless("4x vinery:white_taiga_grapejuice", [
      "vinery:white_taiga_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient(
      "vinery:white_taiga_grape_juice_bucket",
      "minecraft:bucket"
    );

  event
    .shapeless("4x vinery:white_savanna_grapejuice", [
      "vinery:white_savanna_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient(
      "vinery:white_savanna_grape_juice_bucket",
      "minecraft:bucket"
    );

  event
    .shapeless("4x vinery:white_jungle_grapejuice", [
      "vinery:white_jungle_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient(
      "vinery:white_jungle_grape_juice_bucket",
      "minecraft:bucket"
    );

  event
    .shapeless("4x nethervinery:crimson_grapejuice", [
      "nethervinery:crimson_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient(
      "nethervinery:crimson_grape_juice_bucket",
      "minecraft:bucket"
    );

  event
    .shapeless("4x nethervinery:warped_grapejuice", [
      "nethervinery:warped_grape_juice_bucket",
      "4x vinery:wine_bottle",
    ])
    .replaceIngredient(
      "nethervinery:warped_grape_juice_bucket",
      "minecraft:bucket"
    );

  // Ars Bucket craftingg
  event
    .shapeless("vinery:red_grape_juice_bucket", [
      "minecraft:bucket",
      "4x vinery:red_grape",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("vinery:red_taiga_grape_juice_bucket", [
      "minecraft:bucket",
      "4x vinery:taiga_grapes_red",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("vinery:red_savanna_grape_juice_bucket", [
      "minecraft:bucket",
      "4x vinery:savanna_grapes_red",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("vinery:red_jungle_grape_juice_bucket", [
      "minecraft:bucket",
      "4x vinery:jungle_grapes_red",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("vinery:white_grape_juice_bucket", [
      "minecraft:bucket",
      "4x vinery:white_grape",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("vinery:white_taiga_grape_juice_bucket", [
      "minecraft:bucket",
      "4x vinery:taiga_grapes_white",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("vinery:white_savanna_grape_juice_bucket", [
      "minecraft:bucket",
      "4x vinery:savanna_grapes_white",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("vinery:white_jungle_grape_juice_bucket", [
      "minecraft:bucket",
      "4x vinery:jungle_grapes_white",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("nethervinery:crimson_grape_juice_bucket", [
      "minecraft:bucket",
      "4x nethervinery:crimson_grape",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");

  event
    .shapeless("nethervinery:warped_grape_juice_bucket", [
      "minecraft:bucket",
      "4x nethervinery:warped_grape",
      "ars_nouveau:glyph_crush",
    ])
    .keepIngredient("ars_nouveau:glyph_crush");
});
